/*
  QS

 Luc Maranget, projet Moscova, Inria Rocquencourt
 
 Copyright 2005 Institut National de Recherche en Informatique et    
 en Automatique.  All rights reserved.  This file is distributed     
 under the terms of the Q Public License version 1.0.          
*/
class Primes {
  private int [] t ;
  private int next ;

  Primes () {
    next = 0 ;
    t = new int [100] ;    
  }


  private void resize() {
    if (next >= t.length) {
      int [] newT = new int[2*t.length] ;
      for (int i = 0 ; i < next ; i++)
        newT[i] = t[i] ;
      t = newT ;
    }
  }

  private int add(int x) {
    resize() ;
    t[next++] = x ;
    return x ;
  }

  private void back() {
    if (next > 0) next-- ; 
  }

  private int [] trim() {
    int sz = next  ;
    int [] r = new int [sz] ;
    for (int i = 0 ; i < sz ; i++) {
      r[i] = t[i] ;
    }
    t = null ;
    return r ;
  }

  int next() {
    if (next >= 3) {
      for (int k = t[next-1]+2 ; ; k += 2) {
        for (int i = 2 ; ; i++) {
          int p = t[i] ;
          if (p*p > k) {
            return add(k) ;
          }
          if (k % p == 0)
            break ;
        }
      }
    } else if (next == 2) {
      return add(3) ;
    } else if (next == 1) {
      return add(2) ;
    } else {
      return add(-1) ;
    }
      
  }

  static int [] compute(int max) {
    Primes p = new Primes () ;

    for ( ; p.next() <= max ; )
      ;
    p.back() ;
    return p.trim() ;
  }

  public static void main(String [] arg) {
    if (arg.length > 0) {
      int [] t = compute(Integer.parseInt(arg[0])) ;
      for (int i = 0 ; i < t.length ; i++) 
        System.out.print(t[i] + " ") ;
      System.out.println() ;
    } else {
      Primes p = new Primes () ;
      for ( ; ; )
        System.out.print(p.next() + " ") ;
    }
  }
}
